@extends('adminlte::layouts.app')

@section('htmlheader_title')
	Video - {{ $o->id }}
@endsection

@section('contentheader_title')
	Video #{{ $o->id }}
@endsection
@section('contentheader_description')
	@if(! $o->scanned)<button class="btn btn-sm btn-info">TO SCAN</button>@endif
	@if($o->duplicate)<button class="btn btn-sm btn-warning">DUPLICATE</button>@endif
	@if($o->ignore_duplicate)<button class="btn btn-sm btn-secondary">DUPLICATE IGNORE</button>@endif
	@if($o->remove)<button class="btn btn-sm btn-danger">PENDING DELETE</button>@endif
@endsection
@section('page_title')
	#{{ $o->id }}
@endsection

@section('main-content')
	<div class="row">
		<div class="col-4">
			<a href="{{ url('v/view',$o->id) }}">{!! $o->getHtmlImageURL() !!}</a>

			<span class="pagination justify-content-center">
				<nav>
				<ul class="pagination">
					<li class="page-item @if(! $x=$o->previous())disabled @endif" aria-disabled="@if(! $x)true @else false @endif" aria-label="&laquo; Previous">
						<a class="page-link" href="{{ $x ? url('v/info',$x->id) : '#' }}">&lt;&lt;</a>
					</li>

					<li class="page-item active" aria-current="page"><span class="page-link">{{ $o->id }}</span></li>

					<li class="page-item @if(! $x=$o->next())disabled @endif" aria-disabled="@if(! $x)true @else false @endif" aria-label="&laquo; Previous">
						<a class="page-link" href="{{ $x ? url('v/info',$x->id) : '#' }}">&gt;&gt;</a>
					</li>
				</ul>
				</nav>
			</span>
		</div>

		<div class="col-8">
			<div class="dl-horizontal">
				<dt>Signature</dt><dd>{{ $o->signature(TRUE) }}</dd>
				<dt>Filename</dt><dd>{{ $o->filename }}<dd>

				@if ($o->shouldMove())
					<dt>NEW Filename</dt><dd>{{ $o->file_name() }}<dd>
				@endif

				<dt>Size</dt><dd>{{ $o->file_size() }}<dd>
				<dt>Dimensions</dt><dd>{{ $o->dimensions }}<dd>
				<dt>Length</dt><dd>{{ $o->length }}<dd>
				<dt>Type</dt><dd>{{ $o->type }}<dd>
				<dt>Codec</dt><dd>{{ $o->codec }}<dd>
				<dt>Audio Channels</dt><dd>{{ $o->audiochannels }}<dd>
				<dt>Channels Mode</dt><dd>{{ $o->channelmode }}<dd>
				<dt>Sample Rate</dt><dd>{{ $o->samplerate }}<dd>
				<hr>
				<dt>Date Taken</dt><dd>{{ $o->date_taken() }}<dd>
				<dt>Camera</dt><dd>{{ $o->device() }}<dd>
				<dt>Identifier</dt><dd>{{ $o->identifier }}<dd>
				<hr>
				<dt>Location</dt>
				<dd>
					@if($o->gps() == 'UNKNOWN')
						UNKNOWN
					@else
						<div id="map" style="width: 400px; height: 300px"></div>
					@endif
				</dd>

				@if(($x=$o->myduplicates()->get())->count())
					<dt>Duplicates</dt>
					<dd>
						@foreach($x as $oo)
							@if(! $loop->first)| @endif
							{!! $oo->id_link !!}
						@endforeach
					</dd>
				@endif
			</div>

			@if ($o->remove)
				<form action="{{ url('v/undelete',$o->id) }}" method="POST">
					<button class="btn btn-primary">Undelete</button>

			@else
				<form action="{{ url('v/delete',$o->id) }}" method="POST">
					<button class="btn btn-danger">Delete</button>

			@endif
					{{ csrf_field() }}
				</form>
		</div>
	</div>
@endsection

@section('page-scripts')
	@if($o->gps() !== 'UNKNOWN')
		@js('//maps.google.com/maps/api/js?sensor=false')
		<script type="text/javascript">
			var myLatLng = {lat: {{ $o->gps_lat }}, lng: {{ $o->gps_lon }}};
			var map = new google.maps.Map(document.getElementById("map"), {
				zoom: 16,
				center: myLatLng,
				mapTypeId: google.maps.MapTypeId.ROADMAP
			});
			var marker = new google.maps.Marker({
				map: map,
				position: myLatLng,
			});
		</script>
	@endif
@append